apiVersion: batch/v1beta1
kind: CronJob
metadata:
  name: spring-jobs
spec:
  schedule: "*/5 * * * *"
  concurrencyPolicy: Forbid

  jobTemplate:
    spec:
      template:
        spec:
          containers:
          - name: spring-boot-schedular
            image: 192.168.1.13:5000/spring-boot-hello-world:0.0.5-SNAPSHOT
            env:
            - name: JAVA_OPTS
              value: "-Dpcln.app.id=spring-boot-hello-world -agentlib:jdwp=transport=dt_socket,server=y,suspend=n,address=7778"
            - name: CHECKSTATUS_SECS
              value: 35
            args: ["/bin/sh", "/apps/home/eng/bin/start.sh", "$(JAVA_OPTS)","$(CHECKSTATUS_SECS)"]
          restartPolicy: OnFailure
      parallelism: 3
      completions: 3
